""" Set of capability names """

# Merged capability set from 7.0.1 to 8.0.0
# https://docs.splunk.com/Documentation/Splunk/latest/Security/Rolesandcapabilities#Table_of_Splunk_platform_capabilities

SPLUNK_DEFINED_CAPABILITY_NAME = {
    "capability::accelerate_datamodel",
    "capability::accelerate_search",
    "capability::admin_all_objects",
    "capability::change_authentication",
    "capability::change_own_password",
    "capability::delete_by_keyword",
    "capability::delete_messages",
    "capability::dispatch_rest_to_indexers",
    "capability::edit_bookmarks_mc",
    "capability::edit_deployment_client",
    "capability::edit_deployment_server",
    "capability::edit_dist_peer",
    "capability::edit_encryption_key_provider",
    "capability::edit_forwarders",
    "capability::edit_health",
    "capability::edit_httpauths",
    "capability::edit_indexer_cluster",
    "capability::edit_indexerdiscovery",
    "capability::edit_input_defaults",
    "capability::edit_local_apps",
    "capability::edit_metric_schema",
    "capability::edit_metrics_rollup",
    "capability::edit_monitor",
    "capability::edit_roles",
    "capability::edit_roles_grantable",
    "capability::edit_scripted",
    "capability::edit_search_concurrency_all",
    "capability::edit_search_concurrency_scheduled",
    "capability::edit_search_head_clustering",
    "capability::edit_search_schedule_priority",
    "capability::edit_search_schedule_window",
    "capability::edit_search_scheduler",
    "capability::edit_search_server",
    "capability::edit_server",
    "capability::edit_server_crl",
    "capability::edit_sourcetypes",
    "capability::edit_splunktcp",
    "capability::edit_splunktcp_ssl",
    "capability::edit_splunktcp_token",
    "capability::edit_tcp",
    "capability::edit_tcp_token",
    "capability::edit_telemetry_settings",
    "capability::edit_token_http",
    "capability::edit_tokens_all",
    "capability::edit_tokens_own",
    "capability::edit_tokens_settings",
    "capability::edit_udp",
    "capability::edit_user",
    "capability::edit_view_html",
    "capability::edit_web_settings",
    "capability::edit_workload_pools",
    "capability::edit_workload_rules",
    "capability::embed_report",
    "capability::export_results_is_visible",
    "capability::extra_x509_validation",
    "capability::get_diag",
    "capability::get_metadata",
    "capability::get_typeahead",
    "capability::indexes_edit",
    "capability::input_file",
    "capability::install_apps",
    "capability::license_edit",
    "capability::license_tab",
    "capability::license_view_warnings",
    "capability::list_accelerate_search",
    "capability::list_deployment_client",
    "capability::list_deployment_server",
    "capability::list_forwarders",
    "capability::list_health",
    "capability::list_httpauths",
    "capability::list_indexer_cluster",
    "capability::list_indexerdiscovery",
    "capability::list_inputs",
    "capability::list_introspection",
    "capability::list_metrics_catalog",
    "capability::list_search_head_clustering",
    "capability::list_search_scheduler",
    "capability::list_settings",
    "capability::list_storage_passwords",
    "capability::list_tokens_all",
    "capability::list_tokens_own",
    "capability::list_workload_pools",
    "capability::list_workload_rules",
    "capability::metric_alerts",
    "capability::never_expire",
    "capability::never_lockout",
    "capability::output_file",
    "capability::pattern_detect",
    "capability::request_remote_tok",
    "capability::rest_apps_management",
    "capability::rest_apps_view",
    "capability::rest_properties_get",
    "capability::rest_properties_set",
    "capability::restart_splunkd",
    "capability::rtsearch",
    "capability::run_collect",
    "capability::run_debug_commands",
    "capability::run_mcollect",
    "capability::run_msearch",
    "capability::run_multi_phased_searches",
    "capability::schedule_rtsearch",
    "capability::schedule_search",
    "capability::search",
    "capability::search_process_config_refresh",
    "capability::select_workload_pools",
    "capability::srchFilter",
    "capability::srchIndexesAllowed",
    "capability::srchIndexesDefault",
    "capability::srchJobsQuota",
    "capability::srchMaxTime",
    "capability::use_file_operator",
    "capability::web_debug",
}

# Merged windows-specific capability set from 7.0.1 to 8.0.0
# https://docs.splunk.com/Documentation/Splunk/latest/Security/Rolesandcapabilities#Windows-specific_capabilities

SPLUNK_DEFINED_WINDOWS_SPECIFIC_CAPABILITY_NAME = {
    "capability::edit_modinput_perfmon",
    "capability::edit_modinput_admon",
    "capability::edit_win_eventlogs",
    "capability::edit_win_wmiconf",
    "capability::edit_win_regmon",
    "capability::edit_win_admon",
    "capability::edit_win_perfmon",
    "capability::list_win_localavailablelogs",
    "capability::list_pdfserver",
    "capability::edit_modinput_winnetmon",
    "capability::edit_modinput_winhostmon",
    "capability::edit_modinput_winprintmon",
    "capability::write_pdfserver",
    "capability::srchTimeWin",
}
