""" A collection of Splunk defined conf files"""
# it contains all conf specs in 6.0~8.0 from https://docs.splunk.com/Documentation/Splunk/{6.0-8.0}/Admin/Appconf

SPLUNK_DEFINED_CONFS = {
    "alert_actions.conf",
    "app.conf",
    "audit.conf",
    "authentication.conf",
    "authorize.conf",
    "bookmarks.conf",
    "checklist.conf",
    "collections.conf",
    "commands.conf",
    "crawl.conf",
    "datamodels.conf",
    "datatypesbnf.conf",
    "default.meta.conf",
    "default-mode.conf",
    "deployment.conf",
    "deploymentclient.conf",
    "distsearch.conf",
    "eventdiscoverer.conf",
    "event_renderers.conf",
    "eventtypes.conf",
    "federated.conf",
    "fields.conf",
    "health.conf",
    "indexes.conf",
    "inputs.conf",
    "instance.cfg.conf",
    "limits.conf",
    "literals.conf",
    "macros.conf",
    "messages.conf",
    "metric_alerts.conf",
    "metric_rollups.conf",
    "multikv.conf",
    "outputs.conf",
    "pdf_server.conf",
    "passwords.conf",
    "procmon-filters.conf",
    "props.conf",
    "pubsub.conf",
    "restmap.conf",
    "savedsearches.conf",
    "searchbnf.conf",
    "segmenters.conf",
    "server.conf",
    "serverclass.conf",
    "serverclass.seed.xml.conf",
    "setup.xml.conf",
    "source-classifier.conf",
    "sourcetypes.conf",
    "splunk-launch.conf",
    "tags.conf",
    "tenants.conf",
    "telemetry.conf",
    "times.conf",
    "transactiontypes.conf",
    "transforms.conf",
    "ui-prefs.conf",
    "ui-tour.conf",
    "user-prefs.conf",
    "user-seed.conf",
    "viewstates.conf",
    "visualizations.conf",
    "web.conf",
    "wmi.conf",
    "workflow_actions.conf",
    "workload_pools.conf",
    "workload_rules.conf",
}

# the conf files for latest version of splunk (8.0 currently)
# take from https://docs.splunk.com/Documentation/Splunk/8.0.0/Admin/Alertactionsconf
LATEST_CONFS = {
    "alert_actions.conf",
    "app.conf",
    "audit.conf",
    "authentication.conf",
    "authorize.conf",
    "bookmarks.conf",
    "checklist.conf",
    "collections.conf",
    "commands.conf",
    "datamodels.conf",
    "datatypesbnf.conf",
    "default.meta.conf",
    "default-mode.conf",
    "deployment.conf",
    "deploymentclient.conf",
    "distsearch.conf",
    "eventdiscoverer.conf",
    "event_renderers.conf",
    "eventtypes.conf",
    "federated.conf",
    "fields.conf",
    "health.conf",
    "indexes.conf",
    "inputs.conf",
    "instance.cfg.conf",
    "limits.conf",
    "literals.conf",
    "macros.conf",
    "messages.conf",
    "metric_alerts.conf",
    "metric_rollups.conf",
    "multikv.conf",
    "outputs.conf",
    "passwords.conf",
    "procmon-filters.conf",
    "props.conf",
    "pubsub.conf",
    "restmap.conf",
    "savedsearches.conf",
    "searchbnf.conf",
    "segmenters.conf",
    "server.conf",
    "serverclass.conf",
    "serverclass.seed.xml.conf",
    "setup.xml.conf",
    "source-classifier.conf",
    "sourcetypes.conf",
    "splunk-launch.conf",
    "tags.conf",
    "telemetry.conf",
    "times.conf",
    "transactiontypes.conf",
    "transforms.conf",
    "ui-prefs.conf",
    "ui-tour.conf",
    "user-prefs.conf",
    "user-seed.conf",
    "viewstates.conf",
    "visualizations.conf",
    "web.conf",
    "wmi.conf",
    "workflow_actions.conf",
    "workload_pools.conf",
    "workload_rules.conf",
}
